// DO_API_TestDlg.h : header file
//

#if !defined(AFX_DO_API_TESTDLG_H__B61A1506_A589_4D0E_9ED4_45942F540752__INCLUDED_)
#define AFX_DO_API_TESTDLG_H__B61A1506_A589_4D0E_9ED4_45942F540752__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CDO_API_TestDlg dialog

class CDO_API_TestDlg : public CDialog
{
// Construction
public:
	CDO_API_TestDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CDO_API_TestDlg)
	enum { IDD = IDD_DO_API_TEST_DIALOG };
	CEdit	m_txtSafetyVal;
	CEdit	m_txtSafetyEnable;
	CEdit	m_txtSetPwrOnEnableCh;
	CEdit	m_txtSetPwrOnEnable;
	CEdit	m_txtUserDefinedBID;
	CEdit	m_txtWDTTimeout;
	CEdit	m_txtNickname;
	CEdit	m_txtBID;
	CListBox	m_lbModuleInfo;
	CComboBox	m_cbxDID;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDO_API_TestDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CDO_API_TestDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnOpenDevice();
	afx_msg void OnCloseDevice();
	afx_msg void OnLoadDefault();
	afx_msg void OnRefreshInfo();
	afx_msg void OnSetNickname();
	afx_msg void OnSetWDTTimeout();
	afx_msg void OnSetBoardID();
	afx_msg void OnGetPWRONEnable();
	afx_msg void OnGetSafetyEnable();
	afx_msg void OnGetSafetyVal();
	afx_msg void OnSetPWRONEnable();
	afx_msg void OnSetSafetyEnable();
	afx_msg void OnSetSafetyVal();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DO_API_TESTDLG_H__B61A1506_A589_4D0E_9ED4_45942F540752__INCLUDED_)
